// DO NOT EDIT
// Generated by JFlex 1.9.1 http://jflex.de/
// source: jflex/ModificheParole.jflex

/*******************************************************************************
 * Copyright (c) 2022-2029 Institute of Legal Information and Judicial Systems (IGSG-CNR)
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License. 
 * You may obtain a copy of the License at
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and 
 * limitations under the License.
 *  
 * Authors: Lorenzo Bacci (IGSG-CNR)
 ******************************************************************************/
package it.cnr.igsg.marker;


@SuppressWarnings("fallthrough")
public class ModificheParole extends JFlexAnnotationService {

  /** This character denotes the end of file. */
  public static final int YYEOF = -1;

  /** Initial size of the lookahead buffer. */
  private static final int ZZ_BUFFERSIZE = 16384;

  // Lexical states.
  public static final int YYINITIAL = 0;
  public static final int inTesto = 2;
  public static final int inDouble = 4;
  public static final int inStd = 6;
  public static final int inStdClose = 8;
  public static final int inVirgolette = 10;
  public static final int inPre = 12;
  public static final int inTable = 14;
  public static final int inSkip = 16;

  /**
   * ZZ_LEXSTATE[l] is the state in the DFA for the lexical state l
   * ZZ_LEXSTATE[l+1] is the state in the DFA for the lexical state l
   *                  at the beginning of a line
   * l is of the form l = 2*k, k a non negative integer
   */
  private static final int ZZ_LEXSTATE[] = {
     0,  0,  1,  1,  2,  2,  3,  3,  4,  4,  5,  5,  6,  6,  7,  7, 
     8, 8
  };

  /**
   * Top-level table for translating characters to character classes
   */
  private static final int [] ZZ_CMAP_TOP = zzUnpackcmap_top();

  private static final String ZZ_CMAP_TOP_PACKED_0 =
    "\1\0\1\u0100\36\u0200\1\u0300\1\u0400\266\u0200\10\u0500\u1020\u0200";

  private static int [] zzUnpackcmap_top() {
    int [] result = new int[4352];
    int offset = 0;
    offset = zzUnpackcmap_top(ZZ_CMAP_TOP_PACKED_0, offset, result);
    return result;
  }

  private static int zzUnpackcmap_top(String packed, int offset, int [] result) {
    int i = 0;       /* index in packed string  */
    int j = offset;  /* index in unpacked array */
    int l = packed.length();
    while (i < l) {
      int count = packed.charAt(i++);
      int value = packed.charAt(i++);
      do result[j++] = value; while (--count > 0);
    }
    return j;
  }


  /**
   * Second-level tables for translating characters to character classes
   */
  private static final int [] ZZ_CMAP_BLOCKS = zzUnpackcmap_blocks();

  private static final String ZZ_CMAP_BLOCKS_PACKED_0 =
    "\11\0\1\1\1\2\1\3\1\4\1\2\22\0\1\1"+
    "\1\0\1\5\3\0\1\6\10\0\1\7\12\0\1\10"+
    "\1\11\1\12\1\0\1\13\2\0\1\14\1\15\1\0"+
    "\1\16\1\17\1\20\1\21\1\22\1\23\1\0\1\24"+
    "\1\25\1\26\1\27\1\30\1\31\1\0\1\32\1\33"+
    "\1\34\1\35\1\36\12\0\1\14\1\15\1\0\1\16"+
    "\1\17\1\20\1\21\1\22\1\23\1\0\1\24\1\25"+
    "\1\26\1\27\1\30\1\31\1\0\1\32\1\33\1\34"+
    "\1\35\1\36\16\0\1\3\45\0\1\37\17\0\1\40"+
    "\164\0\2\23\115\0\1\33\u0182\0\1\1\45\0\2\3"+
    "\u0100\0\1\24\325\0\u0100\3";

  private static int [] zzUnpackcmap_blocks() {
    int [] result = new int[1536];
    int offset = 0;
    offset = zzUnpackcmap_blocks(ZZ_CMAP_BLOCKS_PACKED_0, offset, result);
    return result;
  }

  private static int zzUnpackcmap_blocks(String packed, int offset, int [] result) {
    int i = 0;       /* index in packed string  */
    int j = offset;  /* index in unpacked array */
    int l = packed.length();
    while (i < l) {
      int count = packed.charAt(i++);
      int value = packed.charAt(i++);
      do result[j++] = value; while (--count > 0);
    }
    return j;
  }

  /**
   * Translates DFA states to action switch labels.
   */
  private static final int [] ZZ_ACTION = zzUnpackAction();

  private static final String ZZ_ACTION_PACKED_0 =
    "\11\0\3\1\1\2\3\1\1\3\1\4\1\5\4\1"+
    "\53\0\1\6\11\0\1\7\57\0\1\10\76\0\1\11"+
    "\53\0\1\12\32\0\1\13\35\0\1\14\65\0\1\15"+
    "\1\16";

  private static int [] zzUnpackAction() {
    int [] result = new int[344];
    int offset = 0;
    offset = zzUnpackAction(ZZ_ACTION_PACKED_0, offset, result);
    return result;
  }

  private static int zzUnpackAction(String packed, int offset, int [] result) {
    int i = 0;       /* index in packed string  */
    int j = offset;  /* index in unpacked array */
    int l = packed.length();
    while (i < l) {
      int count = packed.charAt(i++);
      int value = packed.charAt(i++);
      do result[j++] = value; while (--count > 0);
    }
    return j;
  }


  /**
   * Translates a state to a row index in the transition table
   */
  private static final int [] ZZ_ROWMAP = zzUnpackRowMap();

  private static final String ZZ_ROWMAP_PACKED_0 =
    "\0\0\0\41\0\102\0\143\0\204\0\245\0\306\0\347"+
    "\0\u0108\0\u0129\0\u014a\0\u016b\0\u018c\0\u01ad\0\u01ce\0\u01ef"+
    "\0\u0129\0\u0129\0\u0129\0\u0210\0\u0231\0\u0252\0\u0273\0\u0294"+
    "\0\u016b\0\u02b5\0\u02d6\0\u02f7\0\u0318\0\u0339\0\u035a\0\u037b"+
    "\0\u039c\0\u03bd\0\u03de\0\u03ff\0\u0420\0\u0441\0\u0462\0\u0483"+
    "\0\u04a4\0\u04c5\0\u04e6\0\u0507\0\u0528\0\u0549\0\u056a\0\u058b"+
    "\0\u05ac\0\u05cd\0\u05ee\0\u060f\0\u0630\0\u0651\0\u0672\0\u0693"+
    "\0\u06b4\0\u06d5\0\u06f6\0\u0717\0\u0738\0\u0759\0\u077a\0\u079b"+
    "\0\u07bc\0\u07dd\0\u0129\0\u07fe\0\u081f\0\u0840\0\u0861\0\u0882"+
    "\0\u08a3\0\u08c4\0\u08e5\0\u0906\0\u0129\0\u0927\0\u0948\0\u0969"+
    "\0\u098a\0\u09ab\0\u09cc\0\u09ed\0\u0a0e\0\u0a2f\0\u0a50\0\u0a71"+
    "\0\u0a92\0\u0ab3\0\u0ad4\0\u0af5\0\u0b16\0\u0b37\0\u0b58\0\u0b79"+
    "\0\u0b9a\0\u0bbb\0\u0bdc\0\u0bfd\0\u0c1e\0\u0c3f\0\u0c60\0\u0c81"+
    "\0\u0ca2\0\u0cc3\0\u0ce4\0\u0d05\0\u0d26\0\u0d47\0\u0d68\0\u0d89"+
    "\0\u0daa\0\u0dcb\0\u0dec\0\u0e0d\0\u0e2e\0\u0e4f\0\u0e70\0\u0e91"+
    "\0\u0eb2\0\u0ed3\0\u0ef4\0\u0f15\0\u0129\0\u0f36\0\u0f57\0\u0f78"+
    "\0\u0f99\0\u0fba\0\u0fdb\0\u0ffc\0\u101d\0\u103e\0\u105f\0\u1080"+
    "\0\u10a1\0\u10c2\0\u10e3\0\u1104\0\u1125\0\u1146\0\u1167\0\u1188"+
    "\0\u11a9\0\u11ca\0\u11eb\0\u120c\0\u122d\0\u124e\0\u126f\0\u1290"+
    "\0\u12b1\0\u12d2\0\u12f3\0\u1314\0\u1335\0\u1356\0\u1377\0\u1398"+
    "\0\u13b9\0\u13da\0\u13fb\0\u141c\0\u143d\0\u145e\0\u147f\0\u14a0"+
    "\0\u14c1\0\u14e2\0\u1503\0\u1524\0\u1545\0\u1566\0\u1587\0\u15a8"+
    "\0\u15c9\0\u15ea\0\u160b\0\u162c\0\u164d\0\u166e\0\u168f\0\u16b0"+
    "\0\u16d1\0\u16f2\0\u1713\0\u0129\0\u1734\0\u1755\0\u1776\0\u1797"+
    "\0\u17b8\0\u17d9\0\u17fa\0\u181b\0\u183c\0\u185d\0\u187e\0\u189f"+
    "\0\u18c0\0\u18e1\0\u1902\0\u1923\0\u1944\0\u1965\0\u1986\0\u19a7"+
    "\0\u19c8\0\u19e9\0\u1a0a\0\u1a2b\0\u1a4c\0\u1a6d\0\u1a8e\0\u1aaf"+
    "\0\u1ad0\0\u1af1\0\u1b12\0\u1b33\0\u1b54\0\u1b75\0\u1b96\0\u1bb7"+
    "\0\u1bd8\0\u1bf9\0\u1c1a\0\u1c3b\0\u1c5c\0\u1c7d\0\u1c9e\0\u0129"+
    "\0\u1cbf\0\u1ce0\0\u1d01\0\u1d22\0\u1d43\0\u1d64\0\u1d85\0\u1da6"+
    "\0\u1dc7\0\u1de8\0\u1e09\0\u1e2a\0\u1e4b\0\u1e6c\0\u1e8d\0\u1eae"+
    "\0\u1ecf\0\u1ef0\0\u1f11\0\u1f32\0\u1f53\0\u1f74\0\u1f95\0\u1fb6"+
    "\0\u1fd7\0\u1ff8\0\u0129\0\u2019\0\u203a\0\u205b\0\u207c\0\u209d"+
    "\0\u20be\0\u20df\0\u2100\0\u2121\0\u2142\0\u2163\0\u2184\0\u21a5"+
    "\0\u21c6\0\u21e7\0\u2208\0\u2229\0\u224a\0\u226b\0\u228c\0\u22ad"+
    "\0\u22ce\0\u22ef\0\u2310\0\u2331\0\u2352\0\u2373\0\u2394\0\u23b5"+
    "\0\u0129\0\u23d6\0\u23f7\0\u2418\0\u2439\0\u245a\0\u247b\0\u249c"+
    "\0\u24bd\0\u24de\0\u24ff\0\u2520\0\u2541\0\u2562\0\u2583\0\u25a4"+
    "\0\u25c5\0\u25e6\0\u2607\0\u2628\0\u2649\0\u266a\0\u268b\0\u26ac"+
    "\0\u26cd\0\u26ee\0\u270f\0\u2730\0\u2751\0\u2772\0\u2793\0\u27b4"+
    "\0\u27d5\0\u27f6\0\u2817\0\u2838\0\u2859\0\u287a\0\u289b\0\u28bc"+
    "\0\u28dd\0\u28fe\0\u291f\0\u2940\0\u2961\0\u2982\0\u29a3\0\u29c4"+
    "\0\u29e5\0\u2a06\0\u2a27\0\u2a48\0\u2a69\0\u2a8a\0\u0129\0\u0129";

  private static int [] zzUnpackRowMap() {
    int [] result = new int[344];
    int offset = 0;
    offset = zzUnpackRowMap(ZZ_ROWMAP_PACKED_0, offset, result);
    return result;
  }

  private static int zzUnpackRowMap(String packed, int offset, int [] result) {
    int i = 0;  /* index in packed string  */
    int j = offset;  /* index in unpacked array */
    int l = packed.length() - 1;
    while (i < l) {
      int high = packed.charAt(i++) << 16;
      result[j++] = high | packed.charAt(i++);
    }
    return j;
  }

  /**
   * The transition table of the DFA
   */
  private static final int [] ZZ_TRANS = zzUnpacktrans();

  private static final String ZZ_TRANS_PACKED_0 =
    "\12\12\1\13\36\12\1\14\1\12\1\15\16\12\1\16"+
    "\1\12\1\17\17\12\1\20\24\12\1\21\1\22\5\12"+
    "\1\23\4\12\1\20\33\12\1\22\4\12\1\20\40\12"+
    "\1\24\40\12\1\25\40\12\1\26\40\12\1\27\26\12"+
    "\67\0\1\30\13\0\2\31\1\0\1\31\1\32\1\33"+
    "\3\0\1\34\24\0\1\35\10\0\1\36\12\0\1\37"+
    "\3\0\1\40\26\0\1\41\2\0\1\42\40\0\1\43"+
    "\30\0\1\44\12\0\1\45\25\0\1\46\40\0\1\47"+
    "\40\0\1\50\40\0\1\51\63\0\1\52\6\0\1\53"+
    "\2\54\1\53\1\54\1\0\1\55\3\53\1\56\24\53"+
    "\31\0\1\57\20\0\1\60\12\0\1\61\16\0\1\62"+
    "\2\63\1\62\1\63\1\62\1\64\3\62\1\65\24\62"+
    "\24\0\1\66\26\0\1\67\62\0\1\70\40\0\1\71"+
    "\40\0\1\72\27\0\1\73\41\0\1\74\26\0\1\75"+
    "\56\0\1\76\34\0\1\77\40\0\1\100\44\0\1\101"+
    "\36\0\1\102\14\0\5\53\1\103\4\53\1\104\24\53"+
    "\2\0\1\53\2\54\1\53\1\54\1\103\1\55\3\53"+
    "\1\105\24\53\2\0\5\53\1\103\4\53\1\104\14\53"+
    "\1\106\7\53\11\0\1\107\12\0\1\110\33\0\1\111"+
    "\45\0\1\112\26\0\1\113\30\0\12\62\1\114\24\62"+
    "\1\0\1\115\1\62\2\63\1\62\1\63\1\62\1\64"+
    "\3\62\1\116\24\62\1\0\1\115\12\62\1\114\14\62"+
    "\1\117\7\62\1\0\1\115\7\0\1\120\12\0\1\121"+
    "\26\0\1\122\61\0\1\123\2\0\1\124\30\0\1\125"+
    "\44\0\1\126\33\0\1\127\52\0\1\130\13\0\1\131"+
    "\61\0\1\132\41\0\1\133\16\0\1\134\40\0\1\135"+
    "\62\0\1\136\16\0\1\137\37\0\1\140\12\0\1\141"+
    "\25\0\1\142\12\0\1\143\16\0\5\53\1\103\4\53"+
    "\1\104\2\53\1\144\21\53\24\0\1\145\26\0\1\146"+
    "\63\0\1\147\15\0\1\150\61\0\1\151\16\0\1\152"+
    "\12\0\1\153\25\0\1\154\12\0\1\155\16\0\12\62"+
    "\1\114\2\62\1\156\21\62\1\0\1\115\22\0\1\157"+
    "\26\0\1\160\61\0\1\161\10\0\1\162\2\0\1\162"+
    "\1\0\1\163\4\0\1\12\16\0\1\164\22\0\1\165"+
    "\34\0\1\166\55\0\1\167\43\0\1\170\27\0\1\171"+
    "\52\0\1\172\10\0\1\173\2\0\1\173\1\0\1\174"+
    "\4\0\1\175\51\0\1\176\45\0\1\177\43\0\1\200"+
    "\30\0\1\201\45\0\1\202\31\0\1\203\26\0\1\204"+
    "\52\0\1\205\26\0\1\206\30\0\5\53\1\103\4\53"+
    "\1\104\20\53\1\207\3\53\12\0\1\210\45\0\1\211"+
    "\13\0\1\212\40\0\1\213\40\0\1\214\10\0\1\215"+
    "\2\0\1\215\1\0\1\216\4\0\1\217\47\0\1\220"+
    "\26\0\1\221\52\0\1\222\26\0\1\223\30\0\12\62"+
    "\1\114\20\62\1\224\3\62\1\0\1\115\10\0\1\225"+
    "\45\0\1\226\13\0\1\227\22\0\1\12\25\0\13\162"+
    "\1\12\25\162\27\0\1\230\30\0\1\231\36\0\1\232"+
    "\56\0\1\233\2\0\1\234\2\0\2\31\3\0\34\31"+
    "\16\0\1\167\51\0\1\235\24\0\1\175\25\0\13\173"+
    "\1\175\25\173\27\0\1\236\21\0\1\237\62\0\1\240"+
    "\22\0\1\241\34\0\1\242\44\0\1\243\34\0\1\244"+
    "\45\0\1\211\13\0\1\245\17\0\1\246\45\0\1\211"+
    "\13\0\1\247\7\0\5\53\1\103\4\53\1\104\16\53"+
    "\1\250\5\53\33\0\1\251\41\0\1\252\7\0\1\253"+
    "\2\0\1\253\1\0\1\254\4\0\1\255\36\0\1\31"+
    "\42\0\1\256\25\0\13\215\1\217\25\215\27\0\1\257"+
    "\12\0\2\217\1\0\1\217\1\32\1\260\30\0\1\35"+
    "\11\0\1\261\45\0\1\226\13\0\1\262\17\0\1\263"+
    "\45\0\1\226\13\0\1\264\7\0\12\62\1\114\16\62"+
    "\1\265\5\62\1\0\1\115\31\0\1\266\41\0\1\267"+
    "\7\0\1\270\2\0\1\270\1\0\1\271\4\0\1\272"+
    "\42\0\1\273\23\0\13\231\1\274\25\231\25\0\1\275"+
    "\37\0\1\276\37\0\1\277\51\0\1\167\21\0\1\300"+
    "\61\0\1\301\21\0\1\302\36\0\1\303\56\0\1\304"+
    "\37\0\1\305\37\0\1\306\10\0\1\307\2\0\1\307"+
    "\1\0\1\310\4\0\1\311\56\0\1\312\10\0\1\313"+
    "\2\0\1\313\1\0\1\314\4\0\1\315\25\0\5\53"+
    "\1\103\3\53\1\54\1\104\24\53\15\0\1\316\34\0"+
    "\1\317\31\0\13\253\1\255\25\253\27\0\1\320\11\0"+
    "\5\53\1\0\4\53\1\321\24\53\3\0\2\256\1\0"+
    "\1\256\1\32\1\322\3\0\1\323\24\0\1\35\16\0"+
    "\1\324\52\0\1\325\42\0\1\326\10\0\1\327\2\0"+
    "\1\327\1\0\1\330\4\0\1\331\56\0\1\332\10\0"+
    "\1\333\2\0\1\333\1\0\1\334\4\0\1\335\25\0"+
    "\11\62\1\63\1\114\24\62\1\0\1\115\13\0\1\336"+
    "\34\0\1\337\31\0\13\270\1\272\25\270\27\0\1\340"+
    "\11\0\12\62\1\341\24\62\35\0\1\342\24\0\1\343"+
    "\44\0\1\344\47\0\1\345\41\0\1\346\30\0\1\347"+
    "\30\0\1\350\52\0\1\240\37\0\1\351\30\0\1\352"+
    "\37\0\1\353\25\0\13\307\1\311\25\307\27\0\1\354"+
    "\12\0\2\311\1\0\1\311\1\103\1\355\45\0\1\356"+
    "\25\0\13\313\1\315\25\313\27\0\1\357\11\0\5\53"+
    "\1\103\4\53\1\321\24\53\2\0\1\53\2\360\1\53"+
    "\1\360\1\0\1\361\3\53\1\362\24\53\15\0\1\53"+
    "\42\0\1\363\45\0\1\364\45\0\1\365\33\0\1\61"+
    "\51\0\1\366\22\0\1\367\36\0\1\370\25\0\13\327"+
    "\1\331\25\327\27\0\1\371\12\0\2\331\1\0\1\331"+
    "\1\0\1\372\31\0\1\115\13\0\1\373\25\0\13\333"+
    "\1\335\25\333\27\0\1\374\11\0\12\62\1\341\24\62"+
    "\1\0\1\115\1\62\2\375\1\62\1\375\1\62\1\376"+
    "\3\62\1\377\24\62\15\0\1\62\42\0\1\u0100\45\0"+
    "\1\u0101\47\0\1\u0102\7\0\13\343\1\u0103\25\343\31\0"+
    "\1\u0104\30\0\1\u0105\50\0\1\u0106\41\0\1\u0107\31\0"+
    "\1\u0108\36\0\1\u0109\20\0\2\353\1\0\1\353\1\103"+
    "\1\u010a\3\0\1\u010b\43\0\1\u010c\52\0\1\u010d\11\0"+
    "\1\53\2\360\1\53\1\360\1\103\1\361\3\53\1\u010e"+
    "\24\53\17\0\1\u010f\23\0\1\53\2\360\1\53\1\360"+
    "\1\103\1\361\3\53\1\u0110\24\53\2\0\5\53\1\103"+
    "\4\53\1\104\14\53\1\u0111\7\53\24\0\1\110\51\0"+
    "\1\u0112\15\0\1\u0113\45\0\1\u0114\54\0\1\u0115\42\0"+
    "\1\u0116\6\0\2\370\1\0\1\370\1\0\1\u0117\3\0"+
    "\1\u0118\25\0\1\115\15\0\1\u0119\52\0\1\u011a\11\0"+
    "\1\62\2\375\1\62\1\375\1\62\1\376\3\62\1\u011b"+
    "\24\62\1\0\1\115\15\0\1\u011c\23\0\1\62\2\375"+
    "\1\62\1\375\1\62\1\376\3\62\1\u011d\24\62\1\0"+
    "\1\115\12\62\1\114\14\62\1\u011e\7\62\1\0\1\115"+
    "\22\0\1\121\51\0\1\u011f\15\0\1\u0120\41\0\1\162"+
    "\42\0\1\u0121\55\0\1\u0122\21\0\1\173\50\0\1\u0123"+
    "\50\0\1\302\41\0\1\u0124\35\0\1\u0125\33\0\1\u0126"+
    "\51\0\1\u0127\22\0\1\u0128\45\0\1\143\51\0\1\u0129"+
    "\14\0\1\140\12\0\1\143\16\0\5\53\1\103\4\53"+
    "\1\104\2\53\1\u012a\21\53\33\0\1\u012b\24\0\1\211"+
    "\56\0\1\u012c\16\0\1\215\60\0\1\u012d\36\0\1\u012e"+
    "\33\0\1\u012f\51\0\1\u0130\22\0\1\u0131\45\0\1\155"+
    "\51\0\1\u0132\14\0\1\152\12\0\1\155\16\0\12\62"+
    "\1\114\2\62\1\u0133\21\62\1\0\1\115\31\0\1\u0134"+
    "\24\0\1\226\50\0\1\u0135\43\0\1\u0136\24\0\1\u0137"+
    "\41\0\1\u0138\33\0\1\u0139\61\0\1\u013a\42\0\1\u013b"+
    "\36\0\1\u013c\7\0\5\53\1\103\4\53\1\104\20\53"+
    "\1\u013d\3\53\13\0\1\253\60\0\1\u013e\20\0\1\217"+
    "\44\0\1\u013f\33\0\1\u0140\61\0\1\u0141\42\0\1\u0142"+
    "\36\0\1\u0143\7\0\12\62\1\114\20\62\1\u0144\3\62"+
    "\1\0\1\115\11\0\1\270\46\0\1\u0145\46\0\1\u0146"+
    "\33\0\1\u0147\53\0\1\u0148\36\0\1\245\20\0\1\307"+
    "\60\0\1\u0149\20\0\1\313\27\0\5\53\1\103\4\53"+
    "\1\104\16\53\1\u014a\5\53\13\0\1\256\62\0\1\u014b"+
    "\36\0\1\262\20\0\1\327\60\0\1\u014c\20\0\1\333"+
    "\27\0\12\62\1\114\16\62\1\u014d\5\62\1\0\1\115"+
    "\34\0\1\u014e\23\0\1\u014f\51\0\1\u0150\41\0\1\u0151"+
    "\20\0\1\311\27\0\5\53\1\103\3\53\1\360\1\104"+
    "\24\53\33\0\1\u0152\20\0\1\331\27\0\11\62\1\375"+
    "\1\114\24\62\1\0\1\115\34\0\1\u0153\40\0\1\u0154"+
    "\4\0\13\u0155\1\0\25\u0155\11\0\1\353\40\0\1\370"+
    "\46\0\1\u0156\55\0\1\240\4\0\13\u0155\1\u0157\25\u0155"+
    "\13\0\1\u0158\25\0";

  private static int [] zzUnpacktrans() {
    int [] result = new int[10923];
    int offset = 0;
    offset = zzUnpacktrans(ZZ_TRANS_PACKED_0, offset, result);
    return result;
  }

  private static int zzUnpacktrans(String packed, int offset, int [] result) {
    int i = 0;       /* index in packed string  */
    int j = offset;  /* index in unpacked array */
    int l = packed.length();
    while (i < l) {
      int count = packed.charAt(i++);
      int value = packed.charAt(i++);
      value--;
      do result[j++] = value; while (--count > 0);
    }
    return j;
  }


  /** Error code for "Unknown internal scanner error". */
  private static final int ZZ_UNKNOWN_ERROR = 0;
  /** Error code for "could not match input". */
  private static final int ZZ_NO_MATCH = 1;
  /** Error code for "pushback value was too large". */
  private static final int ZZ_PUSHBACK_2BIG = 2;

  /**
   * Error messages for {@link #ZZ_UNKNOWN_ERROR}, {@link #ZZ_NO_MATCH}, and
   * {@link #ZZ_PUSHBACK_2BIG} respectively.
   */
  private static final String ZZ_ERROR_MSG[] = {
    "Unknown internal scanner error",
    "Error: could not match input",
    "Error: pushback value was too large"
  };

  /**
   * ZZ_ATTRIBUTE[aState] contains the attributes of state {@code aState}
   */
  private static final int [] ZZ_ATTRIBUTE = zzUnpackAttribute();

  private static final String ZZ_ATTRIBUTE_PACKED_0 =
    "\11\0\1\11\6\1\3\11\4\1\53\0\1\11\11\0"+
    "\1\11\57\0\1\11\76\0\1\11\53\0\1\11\32\0"+
    "\1\11\35\0\1\11\65\0\2\11";

  private static int [] zzUnpackAttribute() {
    int [] result = new int[344];
    int offset = 0;
    offset = zzUnpackAttribute(ZZ_ATTRIBUTE_PACKED_0, offset, result);
    return result;
  }

  private static int zzUnpackAttribute(String packed, int offset, int [] result) {
    int i = 0;       /* index in packed string  */
    int j = offset;  /* index in unpacked array */
    int l = packed.length();
    while (i < l) {
      int count = packed.charAt(i++);
      int value = packed.charAt(i++);
      do result[j++] = value; while (--count > 0);
    }
    return j;
  }

  /** Input device. */
  private java.io.Reader zzReader;

  /** Current state of the DFA. */
  private int zzState;

  /** Current lexical state. */
  private int zzLexicalState = YYINITIAL;

  /**
   * This buffer contains the current text to be matched and is the source of the {@link #yytext()}
   * string.
   */
  private char zzBuffer[] = new char[Math.min(ZZ_BUFFERSIZE, zzMaxBufferLen())];

  /** Text position at the last accepting state. */
  private int zzMarkedPos;

  /** Current text position in the buffer. */
  private int zzCurrentPos;

  /** Marks the beginning of the {@link #yytext()} string in the buffer. */
  private int zzStartRead;

  /** Marks the last character in the buffer, that has been read from input. */
  private int zzEndRead;

  /**
   * Whether the scanner is at the end of file.
   * @see #yyatEOF
   */
  private boolean zzAtEOF;

  /**
   * The number of occupied positions in {@link #zzBuffer} beyond {@link #zzEndRead}.
   *
   * <p>When a lead/high surrogate has been read from the input stream into the final
   * {@link #zzBuffer} position, this will have a value of 1; otherwise, it will have a value of 0.
   */
  private int zzFinalHighSurrogate = 0;

  /** Number of newlines encountered up to the start of the matched text. */
  private int yyline;

  /** Number of characters from the last newline up to the start of the matched text. */
  private int yycolumn;

  /** Number of characters up to the start of the matched text. */
  private long yychar;

  /** Whether the scanner is currently at the beginning of a line. */
  @SuppressWarnings("unused")
  private boolean zzAtBOL = true;

  /** Whether the user-EOF-code has already been executed. */
  @SuppressWarnings("unused")
  private boolean zzEOFDone;

  /* user code: */
	
	ModificheParole() { }



  /**
   * Creates a new scanner
   *
   * @param   in  the java.io.Reader to read input from.
   */
  public ModificheParole(java.io.Reader in) {
    this.zzReader = in;
  }


  /** Returns the maximum size of the scanner buffer, which limits the size of tokens. */
  private int zzMaxBufferLen() {
    return Integer.MAX_VALUE;
  }

  /**  Whether the scanner buffer can grow to accommodate a larger token. */
  private boolean zzCanGrow() {
    return true;
  }

  /**
   * Translates raw input code points to DFA table row
   */
  private static int zzCMap(int input) {
    int offset = input & 255;
    return offset == input ? ZZ_CMAP_BLOCKS[offset] : ZZ_CMAP_BLOCKS[ZZ_CMAP_TOP[input >> 8] | offset];
  }

  /**
   * Refills the input buffer.
   *
   * @return {@code false} iff there was new input.
   * @exception java.io.IOException  if any I/O-Error occurs
   */
  private boolean zzRefill() throws java.io.IOException {

    /* first: make room (if you can) */
    if (zzStartRead > 0) {
      zzEndRead += zzFinalHighSurrogate;
      zzFinalHighSurrogate = 0;
      System.arraycopy(zzBuffer, zzStartRead,
                       zzBuffer, 0,
                       zzEndRead - zzStartRead);

      /* translate stored positions */
      zzEndRead -= zzStartRead;
      zzCurrentPos -= zzStartRead;
      zzMarkedPos -= zzStartRead;
      zzStartRead = 0;
    }

    /* is the buffer big enough? */
    if (zzCurrentPos >= zzBuffer.length - zzFinalHighSurrogate && zzCanGrow()) {
      /* if not, and it can grow: blow it up */
      char newBuffer[] = new char[Math.min(zzBuffer.length * 2, zzMaxBufferLen())];
      System.arraycopy(zzBuffer, 0, newBuffer, 0, zzBuffer.length);
      zzBuffer = newBuffer;
      zzEndRead += zzFinalHighSurrogate;
      zzFinalHighSurrogate = 0;
    }

    /* fill the buffer with new input */
    int requested = zzBuffer.length - zzEndRead;
    int numRead = zzReader.read(zzBuffer, zzEndRead, requested);

    /* not supposed to occur according to specification of java.io.Reader */
    if (numRead == 0) {
      if (requested == 0) {
        throw new java.io.EOFException("Scan buffer limit reached ["+zzBuffer.length+"]");
      }
      else {
        throw new java.io.IOException(
            "Reader returned 0 characters. See JFlex examples/zero-reader for a workaround.");
      }
    }
    if (numRead > 0) {
      zzEndRead += numRead;
      if (Character.isHighSurrogate(zzBuffer[zzEndRead - 1])) {
        if (numRead == requested) { // We requested too few chars to encode a full Unicode character
          --zzEndRead;
          zzFinalHighSurrogate = 1;
        } else {                    // There is room in the buffer for at least one more char
          int c = zzReader.read();  // Expecting to read a paired low surrogate char
          if (c == -1) {
            return true;
          } else {
            zzBuffer[zzEndRead++] = (char)c;
          }
        }
      }
      /* potentially more input available */
      return false;
    }

    /* numRead < 0 ==> end of stream */
    return true;
  }


  /**
   * Closes the input reader.
   *
   * @throws java.io.IOException if the reader could not be closed.
   */
  public final void yyclose() throws java.io.IOException {
    zzAtEOF = true; // indicate end of file
    zzEndRead = zzStartRead; // invalidate buffer

    if (zzReader != null) {
      zzReader.close();
    }
  }


  /**
   * Resets the scanner to read from a new input stream.
   *
   * <p>Does not close the old reader.
   *
   * <p>All internal variables are reset, the old input stream <b>cannot</b> be reused (internal
   * buffer is discarded and lost). Lexical state is set to {@code ZZ_INITIAL}.
   *
   * <p>Internal scan buffer is resized down to its initial length, if it has grown.
   *
   * @param reader The new input stream.
   */
  public final void yyreset(java.io.Reader reader) {
    zzReader = reader;
    zzEOFDone = false;
    yyResetPosition();
    zzLexicalState = YYINITIAL;
    int initBufferSize = Math.min(ZZ_BUFFERSIZE, zzMaxBufferLen());
    if (zzBuffer.length > initBufferSize) {
      zzBuffer = new char[initBufferSize];
    }
  }

  /**
   * Resets the input position.
   */
  private final void yyResetPosition() {
      zzAtBOL  = true;
      zzAtEOF  = false;
      zzCurrentPos = 0;
      zzMarkedPos = 0;
      zzStartRead = 0;
      zzEndRead = 0;
      zzFinalHighSurrogate = 0;
      yyline = 0;
      yycolumn = 0;
      yychar = 0L;
  }


  /**
   * Returns whether the scanner has reached the end of the reader it reads from.
   *
   * @return whether the scanner has reached EOF.
   */
  public final boolean yyatEOF() {
    return zzAtEOF;
  }


  /**
   * Returns the current lexical state.
   *
   * @return the current lexical state.
   */
  public final int yystate() {
    return zzLexicalState;
  }


  /**
   * Enters a new lexical state.
   *
   * @param newState the new lexical state
   */
  public final void yybegin(int newState) {
    zzLexicalState = newState;
  }


  /**
   * Returns the text matched by the current regular expression.
   *
   * @return the matched text.
   */
  public final String yytext() {
    return new String(zzBuffer, zzStartRead, zzMarkedPos-zzStartRead);
  }


  /**
   * Returns the character at the given position from the matched text.
   *
   * <p>It is equivalent to {@code yytext().charAt(pos)}, but faster.
   *
   * @param position the position of the character to fetch. A value from 0 to {@code yylength()-1}.
   *
   * @return the character at {@code position}.
   */
  public final char yycharat(int position) {
    return zzBuffer[zzStartRead + position];
  }


  /**
   * How many characters were matched.
   *
   * @return the length of the matched text region.
   */
  public final int yylength() {
    return zzMarkedPos-zzStartRead;
  }


  /**
   * Reports an error that occurred while scanning.
   *
   * <p>In a well-formed scanner (no or only correct usage of {@code yypushback(int)} and a
   * match-all fallback rule) this method will only be called with things that
   * "Can't Possibly Happen".
   *
   * <p>If this method is called, something is seriously wrong (e.g. a JFlex bug producing a faulty
   * scanner etc.).
   *
   * <p>Usual syntax/scanner level error handling should be done in error fallback rules.
   *
   * @param errorCode the code of the error message to display.
   */
  private static void zzScanError(int errorCode) {
    String message;
    try {
      message = ZZ_ERROR_MSG[errorCode];
    } catch (ArrayIndexOutOfBoundsException e) {
      message = ZZ_ERROR_MSG[ZZ_UNKNOWN_ERROR];
    }

    throw new Error(message);
  }


  /**
   * Pushes the specified amount of characters back into the input stream.
   *
   * <p>They will be read again by then next call of the scanning method.
   *
   * @param number the number of characters to be read again. This number must not be greater than
   *     {@link #yylength()}.
   */
  public void yypushback(int number)  {
    if ( number > yylength() )
      zzScanError(ZZ_PUSHBACK_2BIG);

    zzMarkedPos -= number;
  }




  /**
   * Resumes scanning until the next regular expression is matched, the end of input is encountered
   * or an I/O-Error occurs.
   *
   * @return the next token.
   * @exception java.io.IOException if any I/O-Error occurs.
   */
  public int yylex() throws java.io.IOException
  {
    int zzInput;
    int zzAction;

    // cached fields:
    int zzCurrentPosL;
    int zzMarkedPosL;
    int zzEndReadL = zzEndRead;
    char[] zzBufferL = zzBuffer;

    int [] zzTransL = ZZ_TRANS;
    int [] zzRowMapL = ZZ_ROWMAP;
    int [] zzAttrL = ZZ_ATTRIBUTE;

    while (true) {
      zzMarkedPosL = zzMarkedPos;

      yychar+= zzMarkedPosL-zzStartRead;

      boolean zzR = false;
      int zzCh;
      int zzCharCount;
      for (zzCurrentPosL = zzStartRead  ;
           zzCurrentPosL < zzMarkedPosL ;
           zzCurrentPosL += zzCharCount ) {
        zzCh = Character.codePointAt(zzBufferL, zzCurrentPosL, zzMarkedPosL);
        zzCharCount = Character.charCount(zzCh);
        switch (zzCh) {
        case '\u000B':  // fall through
        case '\u000C':  // fall through
        case '\u0085':  // fall through
        case '\u2028':  // fall through
        case '\u2029':
          yyline++;
          yycolumn = 0;
          zzR = false;
          break;
        case '\r':
          yyline++;
          yycolumn = 0;
          zzR = true;
          break;
        case '\n':
          if (zzR)
            zzR = false;
          else {
            yyline++;
            yycolumn = 0;
          }
          break;
        default:
          zzR = false;
          yycolumn += zzCharCount;
        }
      }

      if (zzR) {
        // peek one character ahead if it is
        // (if we have counted one line too much)
        boolean zzPeek;
        if (zzMarkedPosL < zzEndReadL)
          zzPeek = zzBufferL[zzMarkedPosL] == '\n';
        else if (zzAtEOF)
          zzPeek = false;
        else {
          boolean eof = zzRefill();
          zzEndReadL = zzEndRead;
          zzMarkedPosL = zzMarkedPos;
          zzBufferL = zzBuffer;
          if (eof)
            zzPeek = false;
          else
            zzPeek = zzBufferL[zzMarkedPosL] == '\n';
        }
        if (zzPeek) yyline--;
      }
      zzAction = -1;

      zzCurrentPosL = zzCurrentPos = zzStartRead = zzMarkedPosL;

      zzState = ZZ_LEXSTATE[zzLexicalState];

      // set up zzAction for empty match case:
      int zzAttributes = zzAttrL[zzState];
      if ( (zzAttributes & 1) == 1 ) {
        zzAction = zzState;
      }


      zzForAction: {
        while (true) {

          if (zzCurrentPosL < zzEndReadL) {
            zzInput = Character.codePointAt(zzBufferL, zzCurrentPosL, zzEndReadL);
            zzCurrentPosL += Character.charCount(zzInput);
          }
          else if (zzAtEOF) {
            zzInput = YYEOF;
            break zzForAction;
          }
          else {
            // store back cached positions
            zzCurrentPos  = zzCurrentPosL;
            zzMarkedPos   = zzMarkedPosL;
            boolean eof = zzRefill();
            // get translated positions and possibly new buffer
            zzCurrentPosL  = zzCurrentPos;
            zzMarkedPosL   = zzMarkedPos;
            zzBufferL      = zzBuffer;
            zzEndReadL     = zzEndRead;
            if (eof) {
              zzInput = YYEOF;
              break zzForAction;
            }
            else {
              zzInput = Character.codePointAt(zzBufferL, zzCurrentPosL, zzEndReadL);
              zzCurrentPosL += Character.charCount(zzInput);
            }
          }
          int zzNext = zzTransL[ zzRowMapL[zzState] + zzCMap(zzInput) ];
          if (zzNext == -1) break zzForAction;
          zzState = zzNext;

          zzAttributes = zzAttrL[zzState];
          if ( (zzAttributes & 1) == 1 ) {
            zzAction = zzState;
            zzMarkedPosL = zzCurrentPosL;
            if ( (zzAttributes & 8) == 8 ) break zzForAction;
          }

        }
      }

      // store back cached position
      zzMarkedPos = zzMarkedPosL;

      if (zzInput == YYEOF && zzStartRead == zzCurrentPos) {
        zzAtEOF = true;
        return YYEOF;
      }
      else {
        switch (zzAction < 0 ? zzAction : ZZ_ACTION[zzAction]) {
          case 1:
            { output.append(yytext());
            }
          // fall through
          case 15: break;
          case 2:
            { yypushback(1); yybegin(0);
            }
          // fall through
          case 16: break;
          case 3:
            { output.append(yytext()); output.append("<mrk:parole>");
            }
          // fall through
          case 17: break;
          case 4:
            { output.append("</mrk:parole>"); output.append(yytext()); yybegin(inTesto);
            }
          // fall through
          case 18: break;
          case 5:
            { output.append(yytext()); output.append("<mrk:parole>"); yybegin(inStdClose);
            }
          // fall through
          case 19: break;
          case 6:
            { yypushback(yylength()); yybegin(inStd);
            }
          // fall through
          case 20: break;
          case 7:
            { yypushback(yylength()); yybegin(inDouble);
            }
          // fall through
          case 21: break;
          case 8:
            { 
            }
          // fall through
          case 22: break;
          case 9:
            { output.append(yytext());
		yybegin(inPre);
            }
          // fall through
          case 23: break;
          case 10:
            { output.append(yytext());
		yybegin(inTesto);
            }
          // fall through
          case 24: break;
          case 11:
            { output.append(yytext());
		yybegin(inTable);
            }
          // fall through
          case 25: break;
          case 12:
            { output.append(yytext());
		yybegin(inSkip);
            }
          // fall through
          case 26: break;
          case 13:
            { //System.out.println("IN PARAGRAFO " + yytext());

	output.append(yytext());
	yybegin(inTesto);
            }
          // fall through
          case 27: break;
          case 14:
            { output.append(yytext());
		yybegin(inVirgolette);
            }
          // fall through
          case 28: break;
          default:
            zzScanError(ZZ_NO_MATCH);
        }
      }
    }
  }

  /**
   * Runs the scanner on input files.
   *
   * This is a standalone scanner, it will print any unmatched
   * text to System.out unchanged.
   *
   * @param argv   the command line, contains the filenames to run
   *               the scanner on.
   */
  public static void main(String[] argv) {
    if (argv.length == 0) {
      System.out.println("Usage : java ModificheParole [ --encoding <name> ] <inputfile(s)>");
    }
    else {
      int firstFilePos = 0;
      String encodingName = "UTF-8";
      if (argv[0].equals("--encoding")) {
        firstFilePos = 2;
        encodingName = argv[1];
        try {
          // Side-effect: is encodingName valid?
          java.nio.charset.Charset.forName(encodingName);
        } catch (Exception e) {
          System.out.println("Invalid encoding '" + encodingName + "'");
          return;
        }
      }
      for (int i = firstFilePos; i < argv.length; i++) {
        ModificheParole scanner = null;
        java.io.FileInputStream stream = null;
        java.io.Reader reader = null;
        try {
          stream = new java.io.FileInputStream(argv[i]);
          reader = new java.io.InputStreamReader(stream, encodingName);
          scanner = new ModificheParole(reader);
          while ( !scanner.zzAtEOF ) scanner.yylex();
        }
        catch (java.io.FileNotFoundException e) {
          System.out.println("File not found : \""+argv[i]+"\"");
        }
        catch (java.io.IOException e) {
          System.out.println("IO error scanning file \""+argv[i]+"\"");
          System.out.println(e);
        }
        catch (Exception e) {
          System.out.println("Unexpected exception:");
          e.printStackTrace();
        }
        finally {
          if (reader != null) {
            try {
              reader.close();
            }
            catch (java.io.IOException e) {
              System.out.println("IO error closing file \""+argv[i]+"\"");
              System.out.println(e);
            }
          }
          if (stream != null) {
            try {
              stream.close();
            }
            catch (java.io.IOException e) {
              System.out.println("IO error closing file \""+argv[i]+"\"");
              System.out.println(e);
            }
          }
        }
      }
    }
  }


}
